#! /bin/sh
# postrm script for snort
#
# see: dh_installdeb(1)

set -e
test $DEBIAN_SCRIPT_DEBUG && set -v -x

# summary of how this script can be called:
#        * <postrm> `remove'
#        * <postrm> `purge'
#        * <old-postrm> `upgrade' <new-version>
#        * <new-postrm> `failed-upgrade' <old-version>
#        * <new-postrm> `abort-install'
#        * <new-postrm> `abort-install' <old-version>
#        * <new-postrm> `abort-upgrade' <old-version>
#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
# for details, see /usr/doc/packaging-manual/

# TODO : Should use /etc/default/snort definitions?

case "$1" in
       purge|disappear)
       		# Remove logfiles
		rm -rf /var/log/snort/
		
		# Remove configuration
		if [ -e /etc/snort/snort.debian.conf ] ; then
			rm /etc/snort/snort.debian.conf
		fi
		if [ -e /etc/snort/snort.common.parameters ] ; then
			rm /etc/snort/snort.common.parameters
		fi
		if [ -e /etc/default/snort ] ; then
			rm /etc/default/snort
		fi
                # Remove files created to follow checksums
                if [ -e /var/lib/snort/snort.debian.conf.md5sum ]; then
                    rm /var/lib/snort/snort.debian.conf.md5sum
                fi

		# Remove configuration dir
		[ -d /etc/snort ] && rmdir --ignore-fail-on-non-empty /etc/snort
		
		# Remove init.d
		update-rc.d -f snort remove >/dev/null

		# Remove user/group
		if getent passwd | grep -q "^snort:"; then
			userdel snort 2>/dev/null || true
		fi
		if getent group | grep -q "^snort:" ; then
			delgroup --only-if-empty snort 2>/dev/null || true
		fi
		;;
       remove|upgrade|failed-upgrade|abort-install|abort-upgrade)
		# nothing
		# We may not delete the user snort, as there may be
		# files owned by it in /var/log/snort and /etc/snort.
        	;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#


